#
# spec file for package keditbookmarks
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           keditbookmarks
Version:        16.11.90
Release:        0
%define kf5_version 5.26.0
# Latest stable Applications (e.g. 16.08 in KA, but 16.11.90 in KUA)
%{!?_kapp_version: %global _kapp_version %(echo %{version}| awk -F. '{print $1"."$2}')}
Summary:        KDE Bookmark Editor
License:        GPL-2.0+
Group:          System/GUI/KDE
Url:            http://www.kde.org/
Source:         %{name}-%{version}.tar.xz
BuildRequires:  extra-cmake-modules
BuildRequires:  kbookmarks-devel >= 5.24.0
BuildRequires:  kcoreaddons-devel >= 5.24.0
BuildRequires:  kdoctools-devel >= 5.24.0
BuildRequires:  kf5-filesystem
BuildRequires:  ki18n-devel >= 5.24.0
BuildRequires:  kiconthemes-devel >= 5.24.0
BuildRequires:  kio-devel >= 5.24.0
BuildRequires:  kparts-devel >= 5.24.0
BuildRequires:  kwindowsystem-devel >= 5.24.0
BuildRequires:  pkgconfig
BuildRequires:  update-desktop-files
BuildRequires:  pkgconfig(Qt5Core) >= 5.4.0
BuildRequires:  pkgconfig(Qt5Test) >= 5.4.0
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
This is an editor to edit your KDE-wide bookmark set.

%prep
%setup -q

%build
  %cmake_kf5 -d build
  %make_jobs

%install
  %kf5_makeinstall -C build

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc COPYING*
%{_kf5_bindir}/kbookmarkmerger
%{_kf5_bindir}/keditbookmarks
%{_kf5_applicationsdir}/org.kde.keditbookmarks.desktop
%{_kf5_libdir}/libkbookmarkmodel_private.so*
%{_kf5_sharedir}/kxmlgui5/keditbookmarks/
%dir %{_kf5_configkcfgdir}
%{_kf5_configkcfgdir}/keditbookmarks*.kcfg
%{_kf5_htmldir}/en/keditbookmarks/
%{_mandir}/man1/kbookmarkmerger.1%{ext_man}

%changelog
